//+------------------------------------------------------------------+
//|           FPI  Fractional Product Inefficiency                  |
//|                                                          FPI.mq4 |
//|                                         Developed by Coders Guru |
//|                                            http://www.xpworx.com |
//+------------------------------------------------------------------+

#property link      "http://www.xpworx.com"
#property copyright "Coders' Guru" 


#property indicator_separate_window
#property indicator_level1  1.0100
#property indicator_level2  1.0040
#property indicator_level4  1
#property indicator_level5  0.9960
#property indicator_level6  0.9900
#property indicator_buffers 1
#property indicator_color1 Yellow
#property indicator_levelcolor Red



double Main[] , EurUsd[] ,UsdJpy[] ,EurJpy[] ;

//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(4); 
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Main);
   
   SetIndexBuffer(1,EurUsd);
   SetIndexBuffer(2,UsdJpy);
   SetIndexBuffer(3,EurJpy);

   ArrayInitialize(EurUsd,EMPTY_VALUE);
   ArrayInitialize(UsdJpy,EMPTY_VALUE);
   ArrayInitialize(EurJpy,EMPTY_VALUE);
   ArrayInitialize(Main,EMPTY_VALUE);

   return(0);
  }



//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }

//+------------------------------------------------------------------+
int start()
  {

   ArrayCopySeries(EurUsd,MODE_CLOSE,"EURUSD",Period());
   ArrayCopySeries(UsdJpy,MODE_CLOSE,"USDJPY",Period());
   ArrayCopySeries(EurJpy,MODE_CLOSE,"EURJPY",Period());

   int counted_bars=IndicatorCounted();
   int i = 0;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++)
   {
       Main[i] = EurUsd[i]* UsdJpy[i]* (1/EurJpy[i]);
   }

   return(0);
  }
//+------------------------------------------------------------------+